> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get VMS Scan Configuration by ID

> Retrieve a single scan configuration by its Leen ID.



## OpenAPI

````yaml get /vms/scan-configurations/{scan_config_id}
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - description: Production API (US)
    url: https://api.leen.dev/v1
  - description: Production API (EU)
    url: https://api.eu-c1.leen.dev/v1
  - description: Production API (APAC)
    url: https://api.ap-se2.leen.dev/v1
security: []
paths:
  /vms/scan-configurations/{scan_config_id}:
    get:
      tags:
        - vms
      summary: Get VMS Scan Configuration by ID
      description: Retrieve a single scan configuration by its Leen ID.
      operationId: get_vms_scan_configuration_by_id
      parameters:
        - in: path
          name: scan_config_id
          required: true
          schema:
            format: uuid
            title: Scan Config Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VMSScanConfigurationRespModel'
          description: Successful Response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorException'
          description: VMS Scan Configuration not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - API-Key: []
          Connection-ID: []
components:
  schemas:
    VMSScanConfigurationRespModel:
      properties:
        device_target_count:
          anyOf:
            - type: integer
            - type: 'null'
          description: >-
            Number of devices targeted in the latest scan for the scan
            configuration
          title: Device Target Count
        id:
          description: Leen's UUID for the VMS scan configuration
          format: uuid
          title: Id
          type: string
        is_enabled:
          description: Is the scan configuration active/enabled or inactive/disabled
          title: Is Enabled
          type: boolean
        is_scheduled:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Is the scan configuration scheduled or on demand
          title: Is Scheduled
        last_scan_vendor_id:
          anyOf:
            - type: string
            - type: 'null'
          description: Vendor's ID of the last scan for the scan configuration
          title: Last Scan Vendor Id
        name:
          description: Name of the scan configuration
          title: Name
          type: string
        owner:
          anyOf:
            - type: string
            - type: 'null'
          description: Owner of the scan configuration
          title: Owner
        scan_targets:
          description: >-
            List of scan targets in the latest scan for the scan configuration.
            It can be IP addresses, hyphenated IP ranges, etc
          items:
            type: string
          title: Scan Targets
          type: array
        severity_frequency:
          anyOf:
            - $ref: '#/components/schemas/VMSScanConfigurationSeverityFrequency'
            - type: 'null'
          description: Severity frequency result of latest scan for the scan configuration
        vendor:
          $ref: '#/components/schemas/VulnerabilityVendor'
          description: Source vendor
        vendor_data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          description: Vendor specific pass through data, values can vary based on vendor
          title: Vendor Data
        vendor_id:
          description: Pass through value of vendor ID for the scan configuration
          title: Vendor Id
          type: string
      required:
        - id
        - vendor
        - vendor_id
        - name
        - owner
        - severity_frequency
        - device_target_count
        - scan_targets
        - is_scheduled
        - is_enabled
        - last_scan_vendor_id
      title: VMSScanConfiguration
      type: object
    ErrorException:
      properties:
        detail:
          description: Error message
          title: Detail
          type: string
      required:
        - detail
      title: ErrorException
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    VMSScanConfigurationSeverityFrequency:
      properties:
        critical:
          description: Number of critical severity vulnerabilities
          title: Critical
          type: integer
        high:
          description: Number of high severity vulnerabilities
          title: High
          type: integer
        info:
          description: Number of info severity vulnerabilities
          title: Info
          type: integer
        low:
          description: Number of low severity vulnerabilities
          title: Low
          type: integer
        medium:
          description: Number of medium severity vulnerabilities
          title: Medium
          type: integer
      required:
        - critical
        - high
        - medium
        - low
        - info
      title: VMSScanConfigurationSeverityFrequency
      type: object
    VulnerabilityVendor:
      enum:
        - tenable
        - qualys
        - snyk
        - insightvm
        - crowdstrike_spotlight
        - sentinelone_vms
        - MS_DEFENDER_VMS
        - WIZ_VMS
        - AWS_INSPECTOR2
      title: VulnerabilityVendor
      type: string
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    API-Key:
      in: header
      name: X-API-KEY
      type: apiKey
    Connection-ID:
      in: header
      name: X-CONNECTION-ID
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.